<script src='<?= $this->basePath() ?>/public/js/code/highcharts.js'></script>
<script src='<?= $this->basePath() ?>/public/js/code/modules/exporting.js'></script>
<?php
$txt_bulan = ['01' => 'Januari', '02' => 'Februari', '03' => 'Maret', '04' => 'April', '05' => 'Mei', '06' => 'Juni', '07' => 'Juli', '08' => 'Agustus', '09' => 'September', '10' => 'Oktober', '11' => 'November', '12' => 'Desember'];
?>
<div id="page-content-wrapper">
    <div id="page-content" style="background-color: #CCCCCC">
        <?php
        if ($this->flashMessenger()->hasMessages()) {
            echo '<div class="alert alert-success">';
            $messages = $this->flashMessenger()->getMessages();
            foreach ($messages as $message) {
                echo $message;
            }
            echo '</div>';
        }
        ?>
        <?php if ($datauser['s_akses'] != 10) { ?> 
            <div class="row">
                <div class="col-md-12">
                    <div class="panel">
                        <div class="panel-body" style="background: url('<?= $this->basePath() ?>/public/upload/backdahsboard.jpg'); 
                             min-height: 300px;
                             background-repeat: no-repeat; 
                             background-size: auto 330px;
                             -webkit-background-size: cover;
                             -moz-background-size: cover;
                             -o-background-size: cover;
                             background-size: cover;">
                            <div class="example-box-wrapper" style="margin-top: 50px;">
                                <div class="tab-content">
                                    <div class="col-sm-2">
                                        <div class="clearfix" align="center"> 
                                            <img src="<?= $data_pemda->s_logo ?>" alt="" width="80%">
                                        </div>
                                    </div>
                                    <div class="col-sm-10">
                                        <div class="clearfix">
                                            <span style="font-size: 24px; color: white; text-shadow: 1px 1px 2px black, 0 0 25px blue, 0 0 5px darkblue;"><b>PEMERINTAH <?= strtoupper($data_pemda->s_namakabkota) ?><br> <?= strtoupper($data_pemda->s_namaprov) ?></b></span>
                                            <br>
                                            <span style="font-size: 20px; color: white; text-shadow: 1px 1px 2px black, 0 0 25px blue, 0 0 5px darkblue;"><b><?= $data_pemda->s_namainstansi ?> (<?= $data_pemda->s_namasingkatinstansi ?>)</b></span>
                                            <br>
                                            <span style="color: white; text-shadow: 1px 1px 2px black, 0 0 25px blue, 0 0 5px darkblue;"><?= $data_pemda->s_alamatinstansi ?> Telp/Fax <?= $data_pemda->s_notelinstansi ?>, <?= $data_pemda->s_namaibukotakabkota ?></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>
        <?php if ($datauser['s_akses'] == 2 || $datauser['s_akses'] == 3 || $datauser['s_akses'] == 4 || $datauser['s_akses'] == 6) { ?>
            <div class="example-box-wrapper">
                <div class="row">
                    <div class="col-md-3">
                        <div class="tile-box tile-box-alt bg-primary">
                            <div class="tile-header">
                                Pendaftaran
                            </div>
                            <div class="tile-content-wrapper">
                                <i class="glyph-icon icon-edit"></i>
                                <div class="tile-content">
                                    <?= $jmlpendaftaran ?>
                                </div>
                                <small>
                                    Tahun <?= date('Y'); ?> : <?= $jmlpendaftarantahun ?>
                                </small>
                            </div>
                            <a href="<?= $this->url('pendaftaran') ?>" class="tile-footer tooltip-button" data-placement="bottom" title="klik untuk ke daftar pendaftaran!">
                                lihat detail
                                <i class="glyph-icon icon-arrow-right"></i>
                            </a>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="tile-box tile-box-alt bg-facebook">
                            <div class="tile-header">
                                Pendataan
                            </div>
                            <div class="tile-content-wrapper">
                                <i class="glyph-icon icon-pencil"></i>
                                <div class="tile-content">
                                    <?= $jmlpendataan ?>
                                </div>
                                <small>
                                    Tahun <?= date('Y'); ?> : <?= $jmlpendataantahun ?>
                                </small>
                            </div>
                            <a href="<?= $this->url('pendataan') ?>/1" class="tile-footer tooltip-button" data-placement="bottom" title="klik untuk ke daftar pendataan!">
                                lihat detail
                                <i class="glyph-icon icon-arrow-right"></i>
                            </a>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="tile-box tile-box-alt bg-warning">
                            <div class="tile-header">
                                Penetapan
                            </div>
                            <div class="tile-content-wrapper">
                                <i class="glyph-icon icon-check"></i>
                                <div class="tile-content">
                                    <?= $jmlpenetapan ?>
                                </div>
                                <small>
                                    Tahun <?= date('Y'); ?> : <?= $jmlpenetapantahun ?>
                                </small>
                            </div>
                            <a href="<?= $this->url('penetapan') ?>" class="tile-footer tooltip-button" data-placement="bottom" title="klik untuk ke daftar penetapan!">
                                lihat detail
                                <i class="glyph-icon icon-arrow-right"></i>
                            </a>
                        </div>
                    </div>
                    <div class="col-md-3">
                        <div class="tile-box tile-box-alt bg-danger">
                            <div class="tile-header">
                                Pembayaran
                            </div>
                            <div class="tile-content-wrapper">
                                <i class="glyph-icon icon-dollar"></i>
                                <div class="tile-content">
                                    <?= $jmlpembayaran ?>
                                </div>
                                <small>
                                    Tahun <?= date('Y'); ?> : <?= $jmlpembayarantahun ?>
                                </small>
                            </div>
                            <a href="<?= $this->url('pembayaran') ?>" class="tile-footer tooltip-button" data-placement="bottom" title="klik untuk ke daftar pembayaran!">
                                lihat detail
                                <i class="glyph-icon icon-arrow-right"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel panel-primary hidden-xs">
                <div class="panel-body">
                    <div class="row form-horizontal">
                        <div class="col-sm-2" >
                            <select class="form-control input-sm" id="textcari" onchange="calldatagridmonitoring()">
                                <?php
                                $datenow = date('Y');
                                $date2 = date('Y') - 4;
                                for ($i = $datenow; $i >= $date2; $i--) {
                                    echo '<option value="' . $i . '"' . ($i == $datenow ? ' selected="selected"' : '') . '>' . $i . '</option>';
                                    ?>
                                <?php } ?>
                            </select>
                        </div>
                        <div class="col-sm-2">
                            <table>
                                <tr>
                                    <td colspan="28">
                                        <b style="color: red; font-size: 12px;">K = Ketetapan</b><br>
                                        <b style="color: blue; font-size: 12px">P = Pembayaran</b>
                                    </td>
                                </tr>
                            </table>
                        </div>
                    </div>
                    <br/>
                    <div class="example-box-wrapper">
                        <div class="remove-columns">
                            <div style="overflow: auto">
                                <table class="table table-striped table-condensed table-bordered table-responsive" style="font-size: 11px; color: black">
                                    <thead class="cf" style="background-color: blue">
                                        <tr class="bg-blue">
                                            <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;" rowspan="2">
                                                Nama Pajak
                                            </th>         
                                            <th style="background-color: #00BCA4; color: white; text-align: center;" colspan="2">
                                                Januari
                                            </th>     
                                            <th style="background-color: #00BCA4; color: white; text-align: center;" colspan="2">
                                                Februari
                                            </th>       
                                            <th style="background-color: #00BCA4; color: white; text-align: center;" colspan="2">
                                                Maret
                                            </th>         
                                            <th style="background-color: #00BCA4; color: white; text-align: center" colspan="2">
                                                April
                                            </th>         
                                            <th style="background-color: #00BCA4; color: white; text-align: center" colspan="2">
                                                Mei
                                            </th>       
                                            <th style="background-color: #00BCA4; color: white; text-align: center" colspan="2">
                                                Juni
                                            </th>        
                                            <th style="background-color: #00BCA4; color: white; text-align: center" colspan="2">
                                                Juli
                                            </th>        
                                            <th style="background-color: #00BCA4; color: white; text-align: center" colspan="2">
                                                Agustus
                                            </th>         
                                            <th style="background-color: #00BCA4; color: white; text-align: center" colspan="2">
                                                September
                                            </th>             
                                            <th style="background-color: #00BCA4; color: white; text-align: center" colspan="2">
                                                Oktober
                                            </th>       
                                            <th style="background-color: #00BCA4; color: white; text-align: center" colspan="2">
                                                Nopember
                                            </th>         
                                            <th style="background-color: #00BCA4; color: white; text-align: center" colspan="2">
                                                Desember
                                            </th>         
                                            <th style="background-color: #00BCA4; color: white; text-align: center" colspan="2">
                                                Total
                                            </th>      
                                            <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align: middle;" rowspan="2">
                                                Piutang
                                            </th>            
                                        </tr>
                                        <tr>         
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                K
                                            </th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                P
                                            </th>    
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                K
                                            </th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                P
                                            </th>    
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                K
                                            </th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                P
                                            </th>    
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                K
                                            </th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                P
                                            </th>    
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                K
                                            </th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                P
                                            </th>    
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                K
                                            </th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                P
                                            </th>    
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                K
                                            </th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                P
                                            </th>    
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                K
                                            </th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                P
                                            </th>    
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                K
                                            </th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                P
                                            </th>    
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                K
                                            </th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                P
                                            </th>    
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                K
                                            </th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                P
                                            </th>    
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                K
                                            </th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                P
                                            </th>    
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                K
                                            </th>
                                            <th style="background-color: #00BCA4; color: white; text-align: center">
                                                P
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody id="body_grid">
                                    </tbody>
                                </table>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class='col-md-12'>
                    <div class='panel panel-primary'>
                        <!-- <div class='panel-heading'>
                            GRAFIK PAJAK TAHUN <?= date('Y') ?>
                        </div> -->
                        <div class='panel-body'>
                            <div id="container" style="min-width: 310px; height: 400px; margin: 0 auto"></div>
                        </div>
                    </div>
                </div>
            </div>
            <script type="text/javascript">
                $(function () {
                    calldatagridmonitoring();
                    datagraphtahunan();
                });
                function calldatagridmonitoring(direction) {
                    if ($("#textcari").val().length == 0)
                        par1 = undefined;
                    else
                        par1 = $("#textcari").val()
                    datagridmonitoring(par1);
                }

                function datagridmonitoring(par1) {
                    $.get('<?= $this->url() ?>/dataGrid/' + par1, function (data) {
                        var aa = JSON.parse(data)
                        $("#body_grid").html(aa.grid);
                    });
                }

                function datagraphtahunan() {
                    $.post('<?= $this->url() ?>/graphpajak', function (data) {
                        var aa = JSON.parse(data);
                        $("#container").html(aa.grid);
                    });
                }
            </script>

        <?php } ?>
    </div>
</div>
<style>
    th{
        font-weight: bolder;
    }
    td:nth-child(odd){
        color:blue;
    }
    td:nth-child(even){
        color:red;
    }
    td:nth-child(1){
        color:black;
    }
    .totalrow td {
        font-weight: bolder;
    }
    td.piutang {
        color:black;
    }
</style>
